CREATE TABLE hts_staff_grids (
    STAFF_GRID_ID                 NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID                 NUMBER(18, 0)     NOT NULL,
    GRID_CODE                     VARCHAR2(1120)    NOT NULL,
    DESCRIPTIVE_FLEXFIELD_CODE    VARCHAR2(160)     NOT NULL,
    STAFF_CONTEXT_CODE            VARCHAR2(320)     NOT NULL,
    VOLUME_CAPACITY_MAX           NUMBER(9, 0)  ,
    RANGE_INCREMENTS              NUMBER(9, 0)  ,
    TOTAL_SEGMENTS                NUMBER(9, 0)  ,
    STAFF_GRID_STATUS_CODE        VARCHAR2(120) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    STAFF_GRID_ID                 NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID                 NUMBER(18, 0)     NOT NULL,
    GRID_CODE                     VARCHAR2(1120)    NOT NULL,
    DESCRIPTIVE_FLEXFIELD_CODE    VARCHAR2(160)     NOT NULL,
    STAFF_CONTEXT_CODE            VARCHAR2(320)     NOT NULL,
    VOLUME_CAPACITY_MAX           NUMBER(9, 0)  ,
    RANGE_INCREMENTS              NUMBER(9, 0)  ,
    TOTAL_SEGMENTS                NUMBER(9, 0)  ,
    STAFF_GRID_STATUS_CODE        VARCHAR2(120) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    CONSTRAINT pk_hts_staff_grids PRIMARY KEY (STAFF_GRID_ID, STAFF_GRID_ID)
);
